Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.cas
Class TicketResponse

    java.lang.Object
      org.acegisecurity.providers.cas.TicketResponse

    public class TicketResponse

extends Object

Represents a CAS service ticket in native CAS form.

Version:
  $Id: TicketResponse.java,v 1.2 2005/11/17 00:55:47 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`protected` | `TicketResponse()`
`` | `TicketResponse(String user, List proxyList, String proxyGrantingTicketIou)` Constructor.

Method Summary
`String` | `getProxyGrantingTicketIou()`
`List` | `getProxyList()`
`String` | `getUser()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TicketResponse

    public TicketResponse(String user,
                          List proxyList,
                          String proxyGrantingTicketIou)

  Constructor.

  If `null` is passed into the `proxyList` or `proxyGrantingTicketIou`, suitable defaults are established. However, `null` cannot be passed for the `user` argument.

  Parameters:
    `user` - the user as indicated by CAS (cannot be `null` or an empty `String`)
    `proxyList` - as provided by CAS (may be `null`)
    `proxyGrantingTicketIou` - as provided by CAS (may be `null`)
  Throws:
    `IllegalArgumentException` - DOCUMENT ME!

### TicketResponse

    protected TicketResponse()

Method Detail

### getProxyGrantingTicketIou

    public String getProxyGrantingTicketIou()

### getProxyList

    public List getProxyList()

### getUser

    public String getUser()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.